LogsGet one pattern

Get one pattern

One pattern in the window with its volume series. 404 when it has no records in the window.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/logs/patterns/v1:892ea82429dfa0bf975caecb03a9e5ea?location_id=example_string&from=2026-10-18T10%3A00%3A00Z&to=example_string&range=15m" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "pattern_id": "v1:892ea82429dfa0bf975caecb03a9e5ea",
    "template": "order <num> placed for user 42",
    "count": 10,
    "errors": 42,
    "first_seen": "2024-12-25T10:00:00Z",
    "last_seen": "2024-12-25T10:00:00Z",
    "service": "example_string",
    "level": "example_string",
    "services": 42,
    "sample": {
      "uuid": "example_string",
      "body": "example_string"
    },
    "bucket_seconds": 42,
    "series": [
      {
        "bucket": "2024-12-25T10:00:00Z",
        "total": 42,
        "trace": 42,
        "debug": 42,
        "info": 42,
        "warn": 42,
        "error": 42,
        "fatal": 42
      }
    ]
  }
}
GET
/client/v1/logs/patterns/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.

Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys (or send the X-Location-Id header); ignored for sk_.

query
fromstring

Window start, ISO 8601 or epoch milliseconds. Default is range (or 1 hour) before to.

query
tostring

Window end, exclusive. Default now.

query
rangestring

Preset window ending at to. Ignored when from is set. At most 30 days.

Options: 15m, 1h, 6h, 24h, 7d, 30d
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.

Path Parameters

idstring
Required
Example:
v1:892ea82429dfa0bf975caecb03a9e5ea

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys (or send the X-Location-Id header); ignored for sk_.

fromstring

Window start, ISO 8601 or epoch milliseconds. Default is range (or 1 hour) before to.

Example:
2026-10-18T10:00:00Z
tostring

Window end, exclusive. Default now.

rangestring

Preset window ending at to. Ignored when from is set. At most 30 days.

Allowed values:15m1h6h24h7d30d

Responses

successboolean
datastring